Jump to content


Photo

Does the Big World Installpack work with the Enhanced Editions?


  • Please log in to reply
10 replies to this topic

#1 Darpaek

Darpaek
  • Member
  • 340 posts

Donator

Posted 22 December 2018 - 11:39 AM

Probably a really dumb question, but it has been a long time since I modded BG and I wanted to play through Seige of Dragonspear.  Does BWI 18.1 work with BG:EE, SoD, and BG3:EE?



#2 The Imp

The Imp

    Not good, see EVIL is better. You'll LIVE.

  • Member
  • 4714 posts

Posted 22 December 2018 - 12:17 PM

No.
But the BWS has EE editi...


Yep, Jarno Mikkola. my Mega Mod FAQ. Use of the BWS, and how to use it(scroll down that post a bit). 
OK, desert dweller, welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand. Ouh, actually it was still snow then.. but anyways.


#3 Chevalier

Chevalier

    Knight of the Realms

  • Modder
  • 2390 posts

Posted 22 December 2018 - 02:26 PM

You might like this video: Link


I Ride for the King!


a.k.a. Chev


#4 Darpaek

Darpaek
  • Member
  • 340 posts

Donator

Posted 23 December 2018 - 03:40 AM

Thanks guys!  So basically, instead of BWI, use this tool:  https://github.com/E...up/EE-Mod-Setup

 

Any idea when G3 is going to be back up?  I thought SHS and G3 were on the same servers.



#5 Creepin

Creepin
  • Administrator
  • 1676 posts

Posted 23 December 2018 - 03:55 AM

Any idea when G3 is going to be back up?  I thought SHS and G3 were on the same servers.

Not anymore. You can read more details here.


The Old Gold - v0.2 WIP (mod for BGT/BWP/BWS)


#6 Darpaek

Darpaek
  • Member
  • 340 posts

Donator

Posted 23 December 2018 - 11:20 AM

Oh. Gosh.  Well, we don't need to see the dirty laundry.  All of their mods are hosted on Github anyways, so the installer was able to find them all.  I couldn't imagine muddling through BG without SCS.

 

For anyone else trying to do this, this modding the EE has been quite the harrowing experience.  I mean, it's not like trying to mod in 2004, but I'm old now and I just don't have the patience I did then.  I would have stopped playing BG long ago if it weren't for the BWP.  

 

Anywho.  First, the EE Tool works pretty well, but it's not as verbose as the BWI, so be prepared to dig around in readmes to sort out your conflicts.  That's okay.  I ran head first into a couple of tough brick walls that hopefully I can help other people avoid.

 

First, I was getting this error telling me to choose my language and save my game.  Which I did.  Digging around, I eventually realized I didn't have the most recent patch off of GOG, so I had to download it.  That made that first error go away.  GOG is at 2.5 now, if you're wondering.

 

Then after that I was getting an error telling me I had to Modmerge.  I didn't even know what a Modmerge was.  I got more confused because the EE Tool downloads and installs something called DLC Merge, which is supposed to do the same thing.  Except it wasn't sending whatever flags to the mods that the DLC was merged, so my mods wouldn't install.  Eventually I found this Modmerge thing and I tried to use it.  It was just a flash of a command prompt and I got a chitin.key.bak, so I figured it worked.  Except it didn't.  I had to make DLC/ folder in my BGEE root and put the sod_dlc.zip into it (move, don't copy).  Then I ran modmerge and it showed a big long line of dots and now everything works fine.

 

Now, I'm about 20% and it's ticking away, so I think everything is working.  If I don't get it to work correctly, I will let you know.



#7 Creepin

Creepin
  • Administrator
  • 1676 posts

Posted 23 December 2018 - 02:04 PM

Oh. Gosh.  Well, we don't need to see the dirty laundry.

What the hell are you talking about?


The Old Gold - v0.2 WIP (mod for BGT/BWP/BWS)


#8 Darpaek

Darpaek
  • Member
  • 340 posts

Donator

Posted 23 December 2018 - 02:46 PM

I have no idea.  Your link wouldn't load.

 

Ugh.  No luck.  BG2 won't even start.  I do get a process, but no window.  I'm guessing it has something to do with jimmying with that modmerge thing in the middle of the process.



#9 Argent77

Argent77
  • Staff
  • 1039 posts

Posted 23 December 2018 - 03:28 PM

Just a note, modmerge or DLC Merger have to be executed BEFORE installing any mods for BG:EE/SoD. It ensures that mods can access the SoD-related game resources. This is required even if you install mods that don't affect the SoD part of the game.

 

The location of the SoD DLC (root or "dlc" folder) shouldn't matter. Both tools/mods will detect the DLC from either location. I would recommend to choose DLC Merger over modmerge, as it's a regular WeiDU mod that will revert the merge process in case of an error, or allows you to manually revert the whole process if needed.
 
If the merge operation isn't performed, it could be that remnants of an older merge operation are still present. Refer to this topic how to check for this possibility (and solve it if needed).
 
About the GOG version of SoD. According to other GOG users, it is not enough to install the 2.5 GOG patch to upgrade your BG:EE/SoD game, as it doesn't contain all the files needed by EET and some other mods. You'll have to reinstall the full game. Unfortunately G3 forums are currently inaccessible, which provides more details about this issue.



#10 The Imp

The Imp

    Not good, see EVIL is better. You'll LIVE.

  • Member
  • 4714 posts

Posted 24 December 2018 - 09:46 AM

Just a note, modmerge or DLC Merger have to be executed BEFORE installing any mods for BG:EE+SoD.
Removing the / and replacing it with + there, for full clearity. Yes, the slash is also used for dividing in math, thus the plus or addition is better than slashing.
Aka, this applies to the Steam or GoG versions, the beamdog's ones are solo games and are thus not EET compatible, as far as I know... not that many have that...

Yep, Jarno Mikkola. my Mega Mod FAQ. Use of the BWS, and how to use it(scroll down that post a bit). 
OK, desert dweller, welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand. Ouh, actually it was still snow then.. but anyways.


#11 Fouinto

Fouinto
  • Member
  • 444 posts

Posted 24 December 2018 - 11:01 AM

About the GOG version of SoD. According to other GOG users, it is not enough to install the 2.5 GOG patch to upgrade your BG:EE/SoD game, as it doesn't contain all the files needed by EET and some other mods. You'll have to reinstall the full game. Unfortunately G3 forums are currently inaccessible, which provides more details about this issue.

G3 forums just say to use these as BG1EE+SoD (for GoG users) :

 - setup_baldurs_gate_enhanced_edition_2.5_(23121).exe

 - setup_baldurs_gate_enhanced_edition_2.5_(23121)-1.bin

 - setup_baldurs_gate_siege_of_dragonspear_2.5_(23121).exe

 

In other words, DO NOT USE patch_baldurs_gate_enhanced_edition_2.3.67.3_(B)_(20125)_to_2.5_(23121).exe

 

Of course, as said by Argent77, you still MUST use "DLC Merger" (or modmerge) prior to installing anything else.


Edited by Fouinto, 24 December 2018 - 11:03 AM.